"""Change datatype of the text field in Templates from String to Text

Reason:
The template text should be allowed to be as long as possible. For this reason,
Text is the more suitable datatype instead of varchar(255).

Revision ID: 1d990f240f4d
Revises: 4daabca814ee

"""
from alembic import op
import sqlalchemy as sa


# revision identifiers, used by Alembic.
revision = "1d990f240f4d"
down_revision = "4daabca814ee"
branch_labels = None
depends_on = None


def upgrade():
    with op.batch_alter_table("template") as batch_op:
        batch_op.alter_column(
            "text", existing_type=sa.VARCHAR(length=255), type_=sa.Text
        )


def downgrade():
    with op.batch_alter_table("template") as batch_op:
        batch_op.alter_column(
            "text", existing_type=sa.Text, type_=sa.VARCHAR(length=255)
        )
